Subject: [alpine-devel] [PATCH] Initial APKBUILD for netsniff-ng

From: Fabian Affolter <[email-masked]>
Date: Sun, 3 Jul 2011 09:49:13 +0000

Package description:
The gain of performance is reached by zero-copy mechanisms, so that
the kernel does not need to copy packets from kernelspace to userspace
and vice versa.

For this purpose, the netsniff-ng suite is libpcap independent, but
nevertheless supports the pcap file format for capturing, replaying
and performing offline-analysis of pcap dumps. Furthermore, we are
focussing on building a robust, clean and secure analyzer and utilities
that complete netsniff-ng as a support for network development, debugging
or network reconnaissance.

netsniff-ng consists of much more than only a network analyzer. Next to
the zero-copy sniffer itself, further tools like trafgen, a powerful
zero-copy network packet generator, or ifpps, a tool that provides
top-like kernel networking statistics, are being shipped.

Some use cases and features

- Open source project and free licensing
- Integrated high-performance capabilities
- Analizing and debugging of network problems or protocol implementations
- Reverse engineering of (i.e. proprietary) network protocols
- Dumping, replaying and offline analysis of pcap traces
- Focus on usability, robustness, security and functionality
- Support utility for penetration testing, network reconnaissance
- Network statistic creation (e.g. for Nagios, gnuplot)
- Powerful, flexible and performant traffic generation
- Reliable, top-like kernel networking statistics
---
 testing/netsniff-ng/APKBUILD                 |   41 ++++++++++++++++++++++++++
 testing/netsniff-ng/netsniff-ng-unkown.patch |   14 +++++++++
 2 files changed, 55 insertions(+), 0 deletions(-)
 create mode 100644 testing/netsniff-ng/APKBUILD
 create mode 100644 testing/netsniff-ng/netsniff-ng-unkown.patch

diff --git a/testing/netsniff-ng/APKBUILD b/testing/netsniff-ng/APKBUILD
new file mode 100644
index 0000000..53f4be8
--- /dev/null
+++ b/testing/netsniff-ng/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <[email-masked]>
+# Maintainer:
+pkgname=netsniff-ng
+pkgver=0.5.5.0
+pkgrel=0
+pkgdesc="A network analyzer and networking toolkit"
+url="http://netsniff-ng.org/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://www.netsniff-ng.org/pub/netsniff-ng/$pkgname-$pkgver.tar.gz
+	netsniff-ng-unkown.patch"
+
+_builddir="$srcdir"/$pkgname
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make -C src || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install -C src || return 1
+}
+
+md5sums="bd303bdeb7244bb1e4e966b94f7671c4  netsniff-ng-0.5.5.0.tar.gz
+e3593dead3b91eb42cef984bae75320b  netsniff-ng-unkown.patch"
diff --git a/testing/netsniff-ng/netsniff-ng-unkown.patch b/testing/netsniff-ng/netsniff-ng-unkown.patch
new file mode 100644
index 0000000..14c1ae9
--- /dev/null
+++ b/testing/netsniff-ng/netsniff-ng-unkown.patch
@@ -0,0 +1,14 @@
+--- netsniff-ng/src/Makefile.orig
++++ netsniff-ng/src/Makefile
+@@ -39,9 +39,9 @@
+ 	@install -D $(target) $(DESTDIR)/$(BINDIR)/$(target)
+ 	@install -d $(DESTDIR)/$(ETCDIR)/$(target)/rules
+ 	@cp -r rules/*.bpf $(DESTDIR)/$(ETCDIR)/$(target)/rules/
+-	@cat $(MANDIR_LOCAL)/$(target).8 | gzip --best > \
++	@cat $(MANDIR_LOCAL)/$(target).8 | gzip > \
+ 	$(MANDIR_LOCAL)/$(target).8.gz
+-	@install -D $(MANDIR_LOCAL)/$(target).8.gz \
++	@install -Dm644 $(MANDIR_LOCAL)/$(target).8.gz \
+ 	$(DESTDIR)/$(MANDIR)/$(target).8.gz
+ 
+ uninstall:
-- 
1.7.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Sun, 3 Jul 2011 21:09:48 +0200

On Sun,  3 Jul 2011 09:49:13 +0000

> the kernel does not need to copy packets from kernelspace to userspace
...

Thanks for a good commit message.

> testing/netsniff-ng/netsniff-ng-unkown.patch |   14 +++++++++ 2 files
> changed, 55 insertions(+), 0 deletions(-) create mode 100644
> testing/netsniff-ng/APKBUILD create mode 100644
> testing/netsniff-ng/netsniff-ng-unkown.patch

Applied!
Thanks!

-nc

---